ClarisDrawGraphInternal::ZonePict Struct Referencefinal

Internal: the structure used to store a PICT. More...

Inheritance diagram for ClarisDrawGraphInternal::ZonePict:

## Public Member Functions

| ZonePict (Zone const &z)
| constructor
| ~ZonePict () final
| destructor
void | print (std::ostream &o) const final
| print the data
Type | getType () const final
| return the main type T_Picture
Type | getSubType () const final
| return the sub type
int | getNumData () const final
| return the number of data in a file
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone
Public Member Functions inherited from ClarisDrawGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual int | getZoneId () const
| returns the id of the reference zone

## Public Attributes

Type | m_type
| the sub type
MWAWEntry | m_entries [2]
| the picture entry followed by a ps entry or ole entry ( if defined)
Public Attributes inherited from ClarisDrawGraphInternal::Zone
int | m_zoneType
| the zone type
int | m_flag
| the zone main flag
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Additional Inherited Members

Public Types inherited from ClarisDrawGraphInternal::Zone
enum | Type { T_Zone , T_Pict , T_Shape , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Connector }
| the list of types More...

## Detailed Description

Internal: the structure used to store a PICT.

## Constructor & Destructor Documentation

## ZonePict()

ClarisDrawGraphInternal::ZonePict::ZonePict | ( | Zone const & | z | ) |

inline explicit

constructor

## ~ZonePict()

ClarisDrawGraphInternal::ZonePict::~ZonePict | ( |  | ) |

final

destructor

## Member Function Documentation

## getChild()

ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::ZonePict::getChild | ( |  | ) | const

inline final virtual

return a child corresponding to this zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## getNumData()

int ClarisDrawGraphInternal::ZonePict::getNumData | ( |  | ) | const

inline final virtual

return the number of data in a file

Reimplemented from ClarisDrawGraphInternal::Zone.

## getSubType()

Type ClarisDrawGraphInternal::ZonePict::getSubType | ( |  | ) | const

inline final virtual

return the sub type

Reimplemented from ClarisDrawGraphInternal::Zone.

## getType()

Type ClarisDrawGraphInternal::ZonePict::getType | ( |  | ) | const

inline final virtual

return the main type T_Picture

Reimplemented from ClarisDrawGraphInternal::Zone.

## print()

void ClarisDrawGraphInternal::ZonePict::print | ( | std::ostream & | o | ) | const

inline final virtual

print the data

Reimplemented from ClarisDrawGraphInternal::Zone.

Referenced by print().

## Member Data Documentation

## m_entries

MWAWEntry ClarisDrawGraphInternal::ZonePict::m_entries[2]

the picture entry followed by a ps entry or ole entry ( if defined)

## m_type

Type ClarisDrawGraphInternal::ZonePict::m_type

the sub type

Referenced by ZonePict().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx